Cars allowlist / Single Billing Account
Delete cars from a Billing Account
Removes one or more cars from the billing account by license number.
Returns HTTP 204 with no response body if all cars were removed successfully, or HTTP 207 if
one or more items failed. The response contains a failures list - each entry includes the
license number and an error message for cars that could not be removed. Cars not present in
failures were successfully removed.
DELETE
/
api
/
billing-accounts
/
{baId}
/
cars
Delete cars from a Billing Account
curl --request DELETE \
--url https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars \
--header 'Authorization: Bearer <token>'import requests
url = "https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fleet.staging.ezprk.dev/api/billing-accounts/{baId}/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failures": [
{
"licenseNumber": "<string>",
"error": "<string>"
}
]
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}⌘I
Delete cars from a Billing Account
